RubyGems Navigation menu

right_amqp 0.8.6

RightAMQP provides a high availability client for interfacing with the RightScale RabbitMQ broker using the AMQP protocol. The AMQP version on which this gem is based is 0.6.7 but beyond that it contains a number of bug fixes and enhancements including reconnect, message return, heartbeat, and UTF-8 support. The high availability is achieved by maintaining multiple broker connections such that failed connections automatically reconnect and only connected brokers are used when routing a message. Although the HABrokerClient class is the intended primary means for accessing RabbitMQ services with this gem, alternatively the underlying AMQP services may be used directly.

Gemfile
          gem 'right_amqp', '~> 0.8.6'
  
  
  
  
  
  
  

install
          gem install right_amqp
  
  
  
  
  
  
  

Total downloads 21,077

For this version 106

Show all versions (14 total)

Required Ruby Version: >= 1.8.7

Links:

Versions:

  1. 0.8.6 - November 12, 2014 (73 KB)
  2. 0.8.5 - October 2, 2014 (72.5 KB)
  3. 0.8.4 - July 3, 2014 (72 KB)
  4. 0.8.3 - May 22, 2014 (72 KB)
  5. 0.7.0 - August 4, 2013 (71.5 KB)
Show all versions (14 total)